diff -Nu --recursive gdbm-1.7.3.orig/Makefile.in gdbm-1.7.3/Makefile.in
--- gdbm-1.7.3.orig/Makefile.in	Sun May 15 10:28:49 1994
+++ gdbm-1.7.3/Makefile.in	Fri Jun 28 19:16:59 1996
@@ -1,5 +1,10 @@
 #### Start of system configuration section. ####
 
+VERSION_MAJOR = 1
+VERSION_MINOR = 7
+VERSION_TINY = 3
+VERSION = $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_TINY)
+
 srcdir = @srcdir@
 VPATH = @srcdir@
 
@@ -19,11 +24,11 @@
 LIBS = @LIBS@ -lc
 
 # SunOS users might wish to add '-fpcc-struct-return' to CFLAGS. see INSTALL.
-CFLAGS = -O
-LDFLAGS =
+CFLAGS = -O6 -m486 -fomit-frame-pointer
+LDFLAGS = -s
 
 # Common prefix for installation directories
-prefix = /usr/local
+prefix = /usr
 exec_prefix = $(prefix)
 binprefix = $(exec_prefix)
 manprefix = $(prefix)
@@ -40,6 +45,7 @@
 #### End of system configuration section. ####
 
 .c.o:
+	$(CC) -c $(CPPFLAGS) $(DEFS) -fPIC -I$(srcdir) $(CFLAGS) $< -o shared/$@ 
 	$(CC) -c $(CPPFLAGS) $(DEFS) -I. -I$(srcdir) $(CFLAGS) $<
 
 SHELL = /bin/sh
@@ -58,7 +64,6 @@
 
 TEST_CF = testdbm.c testndbm.c testgdbm.c
 
-
 DBM_OF = dbminit.o delete.o fetch.o store.o seq.o close.o
 
 NDBM_OF = dbmopen.o dbmdelete.o dbmfetch.o dbmstore.o dbmseq.o \
@@ -88,25 +93,31 @@
 
 DISTFILES = $(SRCS) $(HDRS) $(MSCFILES)
 
-all: libgdbm.a
+all: libgdbm.a libgdbm.so.$(VERSION)
 
 progs: $(PROGS)
 
-install: libgdbm.a gdbm.h gdbm.info
+install: libgdbm.a libgdbm.so.$(VERSION) gdbm.h gdbm.info
 	$(INSTALL_DATA) libgdbm.a $(libdir)/libgdbm.a
+	$(INSTALL_DATA) libgdbm.so.$(VERSION) $(libdir)/libgdbm.so.$(VERSION)
 	$(INSTALL_DATA) gdbm.h $(includedir)/gdbm.h
 	$(INSTALL_DATA) $(srcdir)/gdbm.3 $(man3dir)/gdbm.3
 	$(INSTALL_DATA) $(srcdir)/gdbm.info $(infodir)/gdbm.info
 
 install-compat:
 	$(INSTALL_DATA) $(srcdir)/dbm.h $(includedir)/dbm.h
-	$(INSTALL_DATA) $(srcdir/ndbm.h $(includedir)/ndbm.h
+	$(INSTALL_DATA) $(srcdir)/ndbm.h $(includedir)/ndbm.h
 
 libgdbm.a: $(OBJS) gdbm.h
 	rm -f libgdbm.a
 	ar q libgdbm.a $(OBJS)
 	$(RANLIB) libgdbm.a
 
+libgdbm.so.$(VERSION): $(OBJS) gdbm.h
+	rm -f libgdbm.so*
+	$(CC) -shared -Wl,-soname,libgdbm.so.$(VERSION_MAJOR) -o \
+		libgdbm.so.$(VERSION) shared/*.o
+
 gdbm.h:	gdbm.proto gdbmerrno.h gdbm.proto2
 	rm -f gdbm.h
 	cp $(srcdir)/gdbm.proto gdbm.h
@@ -116,10 +127,10 @@
 	chmod -w gdbm.h
 
 testgdbm: testgdbm.o libgdbm.a @LIBOBJS@
-	$(CC) $(LDFLAGS) -o testgdbm testgdbm.o libgdbm.a @LIBOBJS@
+	$(CC) $(LDFLAGS) -o testgdbm testgdbm.o -lgdbm @LIBOBJS@
 
 testdbm: testdbm.o libgdbm.a
-	$(CC) $(LDFLAGS) -o testdbm testdbm.o libgdbm.a
+	$(CC) $(LDFLAGS) -o testdbm testdbm.o -lgdbm
 
 tdbm: testdbm.o libgdbm.a
 	$(CC) $(LDFLAGS) -o tdbm testdbm.o $(LIBS)
@@ -158,7 +169,7 @@
 	$(TEXI2DVI) $(srcdir)/gdbm.texinfo
 
 clean:
-	rm -f $(PROGS) $(TEX_F) *.o core junk*
+	rm -f $(PROGS) $(TEX_F) *.o *.so* shared/* core junk*
 
 mostlyclean: clean
 
diff -Nu --recursive gdbm-1.7.3.orig/shared/.placemarker gdbm-1.7.3/shared/.placemarker
--- gdbm-1.7.3.orig/shared/.placemarker	Thu Jan  1 01:00:00 1970
+++ gdbm-1.7.3/shared/.placemarker	Fri Jun 28 16:00:09 1996
@@ -0,0 +1 @@
+This is here to ensure that the shared directory is created.
diff -Nu --recursive gdbm-1.7.3.orig/systems.h gdbm-1.7.3/systems.h
--- gdbm-1.7.3.orig/systems.h	Sun Dec 26 11:00:24 1993
+++ gdbm-1.7.3/systems.h	Sun Jun 30 23:29:44 1996
@@ -69,7 +69,7 @@
 
 /* Do we have flock?  (BSD...) */
 
-#if HAVE_FLOCK
+#if HAVE_FLOCK && PREFER_FLOCK
 
 #ifndef LOCK_SH
 #define LOCK_SH	1
